# -*- coding: utf-8 -*
"""
Created on Thu Jan 28 09:38:20 2021
"""
import jkesExtractor
import sys, os, json

#Función que dado un path, un listado de datos y el modo de apertura del archivo,
#escribe los datos en el archivo correspondiente
def write(pathOutput,dataList,mode):

	#Output in the second route 
        if os.path.exists(pathOutput):          
            with open(pathOutput, mode) as outputfile:
                for i in range(0,len(dataList)):
                    strOutput = ""
                    for j in range(0,len(dataList[i])):
                        strOutput += str(dataList[i][j])+"\t"
                    outputfile.write(strOutput.strip()+"\n")

            print("Completed")
            
        else:
            print("Output file doesn't exist")


#Funcion principal: recibe el path del archivo de anotaciones y del archivo de salida
def main():
    #First arg is the route of .json BIO

    inputRoute = sys.argv[1]
    outputRoute = sys.argv[2]
    if os.path.exists(inputRoute):
        
        #Extraction of CUIS
        print("Checking JKES CUIS")
        listConceptsJkes, listConceptsUmls = jkesExtractor.jkes_concept_extractor(inputRoute)
        write(outputRoute,listConceptsJkes,"w")
        write(outputRoute,listConceptsUmls,"a")
        
    else:
        print("Input file doesn't exist")
       

if __name__ == "__main__":
    main()

